* * * * * * * * * * * * * * * * * * * * * * * * * * *
* RQB.CH - include with files linked with RQBRDD.LIB
* * * * * * * * * * * * * * * * * * * * * * * * * * *

#command SET RDD TO <(rdd)>		=>     N_XVIA(<(rdd)>)

#command SET RDD TO                     =>     N_XVIA("")

#command SET DEFAULT FILETYPE TO <(ft)>	=>     N_XDEFEXT(<(ft)>)

#command SET DEFAULT FILETYPE TO     	=>     N_XDEFEXT("")

#command SET MEMOWIDTH TO <n>           =>     N_XMEMOWIDTH(<n>)

#command SET DELETESKIP ON 		=>	N_XDELSKIP(.T.)
#command SET DELETESKIP OFF		=>	N_XDELSKIP(.F.)
#command SET DELETESKIP (<x>)		=>	N_XDELSKIP(<x>)

// next command specifically for Xtrieve users
#command USE TABLE <(db)>                                               ;
             [VIA <rdd>]                                                ;
             [ALIAS <a>]                                                ;
             [<new: NEW>]                                               ;
             [<ex: EXCLUSIVE>]                                          ;
             [<sh: SHARED>]                                             ;
             [<ro: READONLY>]                                           ;
                                                                        ;
      => N_BSETSTRU(RB_STRUCT(<(db)>)) ;                                ;
         dbUseArea(                                                     ;
                    <.new.>, <rdd>, RB_FILE(<(db)>), <(a)>,             ;
                    if(<.sh.> .or. <.ex.>, !<.ex.>, NIL), <.ro.>        ;
                  )

#command USE <(db)>                                                     ;
             [VIA <rdd>]                                                ;
             [DEFINITION <d>]						;
             [ALIAS <a>]                                                ;
             [<new: NEW>]                                               ;
             [<ex: EXCLUSIVE>]                                          ;
             [<sh: SHARED>]                                             ;
             [<ro: READONLY>]                                           ;
             [INDEX <(index1)> [, <(indexn)>]]                          ;
                                                                        ;
      => [N_BSETSTRU(<d>) ;]                                            ;
         dbUseArea(                                                     ;
                    <.new.>, <rdd>, <(db)>, <(a)>,                      ;
                    if(<.sh.> .or. <.ex.>, !<.ex.>, NIL), <.ro.>        ;
                  )                                                     ;
         [; dbSetIndex( <(index1)> )]                                   ;
         [; dbSetIndex( <(indexn)> )]


#command APPEND FROM TABLE <(file)>                                     ;
         [FIELDS <fields,...>]                                          ;
         [FOR <for>]                                                    ;
         [WHILE <while>]                                                ;
         [NEXT <next>]                                                  ;
         [RECORD <rec>]                                                 ;
         [<rest:REST>]                                                  ;
         [ALL]                                                          ;
                                                                        ;
      => N_BSETSTRU(RB_STRUCT(<(file)>)) ;                              ;
         __dbApp(                                                       ;
                  RB_FILE(<(file)>), { <(fields)> },                    ;
                  <{for}>, <{while}>, <next>, <rec>, <.rest.>           ;
                )

#command APPEND [FROM <(file)>]                                         ;
         [DEFINITION <d>]						;
         [FIELDS <fields,...>]                                          ;
         [FOR <for>]                                                    ;
         [WHILE <while>]                                                ;
         [NEXT <next>]                                                  ;
         [RECORD <rec>]                                                 ;
         [<rest:REST>]                                                  ;
         [ALL]                                                          ;
                                                                        ;
      => [N_BSETSTRU(<d>) ;]                                            ;
         __dbApp(                                                       ;
                  <(file)>, { <(fields)> },                             ;
                  <{for}>, <{while}>, <next>, <rec>, <.rest.>           ;
                )

#command SET ERRORLEVEL TO <n>           =>     N_XERRLVL(<n>)

#command CLEAR BUFFER			=>	N_XCLRBUF()

#command DROP INDEX <n>			=>	N_XDROPNDX(<n>)

#command SET SAFETY ON 			=>	N_XSAFETY(.T.)
#command SET SAFETY OFF			=>	N_XSAFETY(.F.)
#command SET SAFETY (<x>)		=>	N_XSAFETY(<x>)

#command SET HARDWRITE ON 			=>	N_XHARDWRITE(.T.)
#command SET HARDWRITE OFF			=>	N_XHARDWRITE(.F.)
#command SET HARDWRITE (<x>)			=>	N_XHARDWRITE(<x>)

#command SET VISIBLE ON 			=>	N_XVISIBLE(.T.)
#command SET VISIBLE OFF			=>	N_XVISIBLE(.F.)
#command SET VISIBLE (<x>)			=>	N_XVISIBLE(<x>)

#command INDEX ON <key> [<u: UNIQUE>]                       ;
      => dbCreateIndex(                                                 ;
                        "", <"key">, <{key}>,                     ;
                        if( <.u.>, .t., NIL )                           ;
                      )

